#include <bits/stdc++.h>
using namespace std;

#define N 200001
pair<int, double> a[N];

bool sortt(pair<int, double> x, pair<int, double> y) {
    return x.second < y.second;
}

void solve() {
    int n;
    cin >> n;
    for (int i = 0; i < n; i++)
        cin >> a[i].first >> a[i].second;
    sort(a, a + n, sortt);
    double resenje = 0;
    double suma = 0;
    for (int i = 0; i < n; i++)
        suma += a[i].first;
    for (int i = 0; i < n; i++) {
        resenje = max(resenje, (suma * a[i].second) / 100.0);
        suma -= a[i].first;
    }
    cout << setprecision(17) << resenje << endl;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    solve();
    return 0;
}